<?php
/*
 * 2007-2015 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author PrestaShop SA <contact@prestashop.com>
 *  @copyright  2007-2015 PrestaShop SA
 *  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

/**
 * @since 1.7.0
 */

class OISBizcraftResponseModuleFrontController extends ModuleFrontController
{
    /**
     * @see FrontController::postProcess()
     */
    public function postProcess()
    {
        //If payment getway response is empty then redirect to home page directory.        
        if (empty($_REQUEST['order_id'])) 
        {
            Tools::redirect('');
            return;
        }   

        // Email variables
        $mailVars = array(
            '{merchant_outlet_id}' => Configuration::get('OISBIZCRAFT_MERCHANT_ID'),
            '{terminal_id}' => Configuration::get('OISBIZCRAFT_TERMINAL_ID'),
        );

        $order_id = $_REQUEST['order_id'];
        $ref_order_id = $_REQUEST['ref_order_id'];


        $objOrder = new Order($order_id);
        $history = new OrderHistory();
        $customer = new Customer($objOrder->id_customer);
        
        $status = $_REQUEST['message'];

        if($status == 'success')
        {
            $this->removeCart();
            Tools::redirect('index.php?controller=order-confirmation&id_cart=' . $objOrder->id_cart . '&id_module=' . $this->module->id . '&id_order=' . $objOrder->id . '&key=' . $customer->secure_key);
        }    
        else
        {
            Tools::redirect('index.php?controller=order?');
        }
    }
                                    
    function removeCart() 
    {
        $this->context->cart->delete();
    }
}